#!/bin/bash

echo "Installing Tugeny. This may take a while..."

DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"

mkdir -p /opt/tugeny
cp $DIR/Tugeny /opt/tugeny/tugeny
chmod 755 /opt/tugeny/tugeny
ln -sf /opt/tugeny/tugeny /usr/bin/tugeny

cp $DIR/tugeny.desktop /usr/share/applications/
chmod 644 /usr/share/applications/tugeny.desktop

mkdir -p /usr/share/tugeny/icons/hicolor
cp $DIR/logo/tugeny_logo_trans_256.png /usr/share/tugeny/icons/hicolor/
chmod 644 /usr/share/tugeny/icons/hicolor/tugeny_logo_trans_256.png

xdg-mime install --mode system --novendor $DIR/tugeny.xml
xdg-mime default tugeny.desktop application/x-tugeny
xdg-icon-resource install --mode system --novendor --context mimetypes --size 1024 $DIR/logo/tugeny_logo_trans_1024.png x-tugeny
xdg-icon-resource install --mode system --novendor --context mimetypes --size 512 $DIR/logo/tugeny_logo_trans_512.png x-tugeny
xdg-icon-resource install --mode system --novendor --context mimetypes --size 256 $DIR/logo/tugeny_logo_trans_256.png x-tugeny
xdg-icon-resource install --mode system --novendor --context mimetypes --size 192 $DIR/logo/tugeny_logo_trans_192.png x-tugeny
xdg-icon-resource install --mode system --novendor --context mimetypes --size 128 $DIR/logo/tugeny_logo_trans_128.png x-tugeny
xdg-icon-resource install --mode system --novendor --context mimetypes --size 96 $DIR/logo/tugeny_logo_trans_96.png x-tugeny
xdg-icon-resource install --mode system --novendor --context mimetypes --size 72 $DIR/logo/tugeny_logo_trans_72.png x-tugeny
xdg-icon-resource install --mode system --novendor --context mimetypes --size 64 $DIR/logo/tugeny_logo_trans_64.png x-tugeny
xdg-icon-resource install --mode system --novendor --context mimetypes --size 48 $DIR/logo/tugeny_logo_trans_48.png x-tugeny
xdg-icon-resource install --mode system --novendor --context mimetypes --size 42 $DIR/logo/tugeny_logo_trans_42.png x-tugeny
xdg-icon-resource install --mode system --novendor --context mimetypes --size 36 $DIR/logo/tugeny_logo_trans_36.png x-tugeny
xdg-icon-resource install --mode system --novendor --context mimetypes --size 32 $DIR/logo/tugeny_logo_trans_32.png x-tugeny
xdg-icon-resource install --mode system --novendor --context mimetypes --size 24 $DIR/logo/tugeny_logo_trans_24.png x-tugeny

update-desktop-database /usr/share/applications/
